Gajim - 2019-01-20


  1. bot Katharina created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9551 >: #9551: < Can't send a file >
  2. bot Katharina modified an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9551 >: #9551: < Can't send a file >
  3. bot Katharina modified an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9551 >: #9551: < Can't send a file >
  4. bot Katharina modified an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9551 >: #9551: < Can't send a file >
  5. bot Miles Marta created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9552 >: #9552: < Crash when selecting a very specific font in the conversation font >
  6. bot Oleg K created an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9553 >: #9553: < Python errors starting on Windows 7 x64 >
  7. bot Philipp Hörist modified an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9551 >: #9551: < Can't send a file >
  8. Maranda lovetox, I noticed new master doesn't use SCRAM-SHA-256(-PLUS) and prefers SHA-1 instead
  9. Maranda is there something wrong in that regard?
  10. lovetox hm i can try to reproduce that
  11. Maranda I had to rollback to 2018-12-17
  12. Maranda (at least the one on windows does)
  13. lovetox hm Maranda cant reproduce on Windows
  14. lovetox 20.01.2019 11:46:51 (I) nbxmpp.auth: Available mechanisms: {'SCRAM-SHA-256', 'PLAIN', 'SCRAM-SHA-256-PLUS', 'SCRAM-SHA-1-PLUS', 'SCRAM-SHA-1'} 20.01.2019 11:46:51 (I) nbxmpp.auth: Chosen auth mechanism: SCRAM-SHA-256-PLUS
  15. lovetox on your server
  16. Maranda lovetox, hmmm is it the latest?
  17. Maranda lovetox, 2019-01-12 selected SCRAM-SHA-1-PLUS 🤔
  18. Maranda for myself at least
  19. Maranda instead of SHA-256-PLUS
  20. lovetox hm what installer do you use?
  21. Maranda lovetox, 64 bit
  22. bot Daniel Brötzmann modified an issue in _gajim_ < https://dev.gajim.org/gajim/gajim/issues/9551 >: #9551: < Can't send a file >
  23. lovetox Maranda, just tested the newest installer
  24. lovetox works for me
  25. lovetox from where do you get the info the SHA1 is chosen?
  26. lovetox from your server debug logs?
  27. lovetox can you check my account?
  28. Maranda lovetox: I was running the xml console
  29. Maranda Sure
  30. lovetox hm no even in xml console always takes 256-PLUS
  31. lovetox i would understand it if you maybe installed 1.1.2 nightly
  32. Maranda hm no you used 256-PLUS on latest connection
  33. Maranda well no idea 🤔
  34. bot Yann Leboulanger pushed 1 commit to branch _refs/heads/master_ of _website_ < https://dev.gajim.org/gajim/website >: *866274c1* < https://dev.gajim.org/gajim/website/commit/866274c1b238df0e228fa4449bd4bce661a51972 > new installer for windows
  35. manu hello, it seems the gajim-nightly Debian package should refine the dependancy to python3-nbxmpp ; gajim-nightly currently requires a python3-nbxmpp version (0.6.9) not available in stretch nor from the Gajim repo.
  36. manu should I open a bug report on https://dev.gajim.org/gajim/gajim/issues
  37. manu should I open a bug report on https://dev.gajim.org/gajim/gajim/issues ?
  38. lovetox no
  39. lovetox it is available
  40. lovetox for example in debian testing
  41. lovetox but it makes not much sense to install the nightly anyway
  42. lovetox as it is exactly the same like gajim 1.1.2 in debian unstable
  43. manu ok for testing but for stretch users ?
  44. wurstsalat asterix, I updated the wiki download section as well
  45. oli > lovetox, I noticed new master doesn't use SCRAM-SHA-256(-PLUS) and prefers SHA-1 instead is it even possible to login with SHA1 if the password was created with sha256?
  46. lovetox manu im not sure what you are getting at, a dependency is a dependency, we cant make it go away
  47. lovetox if you dont want to use testing it means you can use the nightly
  48. lovetox if you dont want to use testing it means you cant use the nightly
  49. lovetox oli, not 100% sure on this but the server stores the password probably with all offered hash methods
  50. lovetox but yes if the server offered only sha1 when the account was created, the user has to reset his passwod
  51. manu lovetox, the point is that on stretch you can install gajim-nightly but it comes with python3-nbxmpp 0.6.8, so then you cannot launch Gajim. Specifying python3-nbxmpp>=0.6.9 in the package would avoid to install gajim-nightly on stretch as won't be launchable.
  52. lovetox thats why servers are reluctant to upgrade to sha256
  53. lovetox manu thats a different story, you never mentioned that the package depends on 0.6.8
  54. lovetox asterix ^
  55. manu the Debian package doesn't specify a specific version; but i would suggest to append (>=0.6.9) as Gajim refuses to launch with 0.6.8, saying it requires >=0.6.9.
  56. asterix wurstsalat: thanks, I forgot that
  57. asterix For debian repos, strange. Setup.cfg correctly mentions 0.6.9
  58. lovetox does the debian package execute setup.py?
  59. lovetox on install?
  60. asterix No, on building
  61. lovetox yeah but building is done by the server who has nbxmpp 0.6.9 maybe, but the user that installs the deb doesnt have it
  62. asterix Package should depend on 0.6.9, doesn't it?
  63. lovetox no
  64. lovetox nbxmpp is not mentioned in the deps
  65. lovetox nor is any other dependency that gajim has except python
  66. lovetox im no expert on debian packages but i looked at that file
  67. lovetox https://ftp.gajim.org/debian/dists/unstable/main/source/gajim-nightly_20190120-1.dsc
  68. lovetox or are build-depends only what we need to build the package
  69. lovetox where are the install deps
  70. lovetox oh i see in the control file
  71. lovetox yes nbxmpp is missing rest is there
  72. Maranda oli: no it's not but Metronome stores keys for all the algorithms it support if the hashed pass backend is used.
  73. oli Maranda: ok. are you the metronome developer?
  74. Maranda For plain password storage it's unnecessary
  75. Maranda Yes?
  76. oli i was just curiuos.
  77. qrsBRWN No you weren't. I am Curious. Don't try to steal my identity bro.
  78. bot André updated a merge request for _python-nbxmpp/master_ < https://dev.gajim.org/gajim/python-nbxmpp/merge_requests/26 >: Drop support for TLS 1.1 and older
  79. bot Philipp Hörist closed an issue in _python-nbxmpp_ < https://dev.gajim.org/gajim/python-nbxmpp/issues/61 >: #61: < Drop support for TLS 1.1 and older >
  80. bot Philipp Hörist merged a merge request for _python-nbxmpp/master_ < https://dev.gajim.org/gajim/python-nbxmpp/merge_requests/26 >: Drop support for TLS 1.1 and older
  81. bot Philipp Hörist pushed 2 commits to branch _refs/heads/master_ of _python-nbxmpp_ < https://dev.gajim.org/gajim/python-nbxmpp >: https://conference.gajim.org:5281/pastebin/e61f08a9-abc6-427f-b32a-0b76b1f4a815
  82. fireglow hi, the mirror I get from gajim.org/download is broken for windows files (leboulanger.org)
  83. fireglow that site returns 404